<?php
/**
* @version      $Id: website_password_forgotten.php
* @package      Easyshop
* @copyright    Copyright (C) 2005 - 2011 TA-EDV
* @license      proprietary
* @author       Richard Kammermayer <rk@ta-edv.de>
* Easyshop is a web shop system
*/


class website_password_forgotten {
	private $base_object;
	private $layout_object;
	
	public function __construct($base_object, $layout_object) {
		$this->base_object = $base_object;
		$this->layout_object = $layout_object;
	}
		
	function run() {
		$state = 0;
		if (isset($_POST['email']) && $_POST['email']) { 
			
			$state = $this->base_object->customer->lost_password($_POST['email']);
		}
		$this->layout_object->assign('state', $state);
		return $this->layout_object->_fetch('content_lost_password.tpl');
	}
}